# OpenSCAD Atreides case design

This directory contains a copy `atreides_3D.scad` of the original OpenSCAD script `atreides_case.scad` that generates Atreides case designs using a number of parameters and is rendered for 3D printing.

The main parameters are:

  - `angle` : one half of the angle between the left and the right groups of keys
  - `n_rows`, `n_cols` : number of rows and columns to use
  - `staggering_offsets` : column staggering offsets
  - `cable_hole_width` : width of the hole for the USB cable
  - `hand_separation` : distance between the left and the right groups of keys
  - `screw_hole_radius` : radius of screw holes
  - `use_notched_holes` (boolean) : whether notched Cherry MX switch holes are desired

See comments in `atreides_case.scad` for details.

To use, open this script in OpenSCAD, select **Compile and Render (CGAL)** in the **Design** menu, then select **Export as DXF...**.

Use OpenSCAD to export .stl as necessary.

Please note that the OpenSCAD version of the case is not a direct port of the canonical DXF; the screw placement is a little bit different, and the curve of the bottom edge sticks out a bit more.
